slyfox      14/08/12 16:45:05

  Modified:             bnfc-2.6.0.3.ebuild ChangeLog
  Log:
  Force lexer regeneration to be compatible with ghc-7.8 (bug #519728 by 
Juergen Rose).
  
  (Portage version: 2.2.11_p14/cvs/Linux x86_64, signed Manifest commit with 
key 611FF3AA)

Revision  Changes    Path
1.3                  dev-util/bnfc/bnfc-2.6.0.3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/bnfc/bnfc-2.6.0.3.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/bnfc/bnfc-2.6.0.3.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/bnfc/bnfc-2.6.0.3.ebuild?r1=1.2&r2=1.3

Index: bnfc-2.6.0.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/bnfc/bnfc-2.6.0.3.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- bnfc-2.6.0.3.ebuild 10 Aug 2014 21:25:29 -0000      1.2
+++ bnfc-2.6.0.3.ebuild 12 Aug 2014 16:45:05 -0000      1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/bnfc/bnfc-2.6.0.3.ebuild,v 1.2 
2014/08/10 21:25:29 slyfox Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-util/bnfc/bnfc-2.6.0.3.ebuild,v 1.3 
2014/08/12 16:45:05 slyfox Exp $
 
 EAPI=5
 
@@ -22,8 +22,16 @@
 IUSE=""
 
 RDEPEND="dev-haskell/mtl:=[profile?]
-               >=dev-lang/ghc-7.4.1:="
+       >=dev-lang/ghc-7.4.1:=
+"
 DEPEND="${RDEPEND}
-               >=dev-haskell/cabal-1.8"
+       >=dev-haskell/cabal-1.8
+       dev-haskell/alex
+       dev-haskell/happy
+"
 
 S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       rm dist/build/bnfc/bnfc-tmp/{LexBNF.hs,ParBNF.hs} || die
+}



1.22                 dev-util/bnfc/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/bnfc/ChangeLog?rev=1.22&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/bnfc/ChangeLog?rev=1.22&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-util/bnfc/ChangeLog?r1=1.21&r2=1.22

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-util/bnfc/ChangeLog,v
retrieving revision 1.21
retrieving revision 1.22
diff -u -r1.21 -r1.22
--- ChangeLog   10 Aug 2014 21:25:29 -0000      1.21
+++ ChangeLog   12 Aug 2014 16:45:05 -0000      1.22
@@ -1,6 +1,10 @@
 # ChangeLog for dev-util/bnfc
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/bnfc/ChangeLog,v 1.21 2014/08/10 
21:25:29 slyfox Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-util/bnfc/ChangeLog,v 1.22 2014/08/12 
16:45:05 slyfox Exp $
+
+  12 Aug 2014; Sergei Trofimovich <[email protected]> bnfc-2.6.0.3.ebuild:
+  Force lexer regeneration to be compatible with ghc-7.8 (bug #519728 by 
Juergen
+  Rose).
 
   10 Aug 2014; Sergei Trofimovich <[email protected]> bnfc-2.4.2.0.ebuild,
   bnfc-2.4.2.1.ebuild, bnfc-2.6.0.3.ebuild:




Reply via email to